summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorFlorian Bruhin <git@the-compiler.org>2016-07-26 12:14:42 +0200
committerFlorian Bruhin <git@the-compiler.org>2016-07-26 12:14:42 +0200
commit99ea20d0d145252f9c0e6b7286c56c57920562cf (patch)
treed9bab5fc2b0b4ab3d3ffe9396e02c5d8de98fea3
parent3ea6d4c52702dae1fe97082dbdef394ca7dbfa38 (diff)
parent9bd48c4277a1e1aa9360ff9fb1218468bb3de050 (diff)
downloadqutebrowser-99ea20d0d145252f9c0e6b7286c56c57920562cf.tar.gz
qutebrowser-99ea20d0d145252f9c0e6b7286c56c57920562cf.zip
Merge branch 'paretje-bash'
-rwxr-xr-xmisc/userscripts/open_download4
-rwxr-xr-xmisc/userscripts/password_fill3
-rwxr-xr-xmisc/userscripts/view_in_mpv4
3 files changed, 8 insertions, 3 deletions
diff --git a/misc/userscripts/open_download b/misc/userscripts/open_download
index 7ca19a19f..54c9d3e97 100755
--- a/misc/userscripts/open_download
+++ b/misc/userscripts/open_download
@@ -1,4 +1,4 @@
-#!/usr/bin/env bash -e
+#!/usr/bin/env bash
# Both standalone script and qutebrowser userscript that opens a rofi menu with
# all files from the download director and opens the selected file. It works
# both as a userscript and a standalone script that is called from outside of
@@ -18,6 +18,8 @@
# Thorsten Wißmann, 2015 (thorsten` on freenode)
# Any feedback is welcome!
+set -e
+
# open a file from the download directory using rofi
DOWNLOAD_DIR=${DOWNLOAD_DIR:-$QUTE_DOWNLOAD_DIR}
DOWNLOAD_DIR=${DOWNLOAD_DIR:-$HOME/Downloads}
diff --git a/misc/userscripts/password_fill b/misc/userscripts/password_fill
index 49fba5c7c..165493380 100755
--- a/misc/userscripts/password_fill
+++ b/misc/userscripts/password_fill
@@ -1,4 +1,4 @@
-#!/usr/bin/env bash -e
+#!/usr/bin/env bash
help() {
blink=$'\e[1;31m' reset=$'\e[0m'
cat <<EOF
@@ -39,6 +39,7 @@ Configuration:
EOF
}
+set -o errexit
set -o pipefail
shopt -s nocasematch # make regexp matching in bash case insensitive
diff --git a/misc/userscripts/view_in_mpv b/misc/userscripts/view_in_mpv
index a79565d9c..e65909b0a 100755
--- a/misc/userscripts/view_in_mpv
+++ b/misc/userscripts/view_in_mpv
@@ -1,4 +1,4 @@
-#!/usr/bin/env bash -e
+#!/usr/bin/env bash
#
# Behavior:
# Userscript for qutebrowser which views the current web page in mpv using
@@ -24,6 +24,8 @@
# Thorsten Wißmann, 2015 (thorsten` on freenode)
# Any feedback is welcome!
+set -e
+
if [ -z "$QUTE_FIFO" ] ; then
cat 1>&2 <<EOF
Error: $0 can not be run as a standalone script.